UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 16828

3.1 System Generator for DSP - Why is the xlUpdateModel script not functioning for my 2.1 SysGen design?

Description

Keywords: SysGen, MATLAB, Simulink, software, support

Urgency: Standard

General Description:
Why is the xlUpdateModel script not functioning for my 2.1 SysGen design?

When I try to update a 2.1 design after receiving prompts to do so, the following error message is reported :

"; xlUpdateModel('xlmux_16')
??? Attempt to execute SCRIPT xlupdatemodel as a function."

Solution

The xlUpdateModel script works only on 2.2 and 2.3 SysGen models; it does not work on 2.1 SysGen models.

To update a 2.1 model, you must update to 2.3, run xlUpdateModel, update to 3.1 or later, and run xlUpdateModel again. To update, follow this procedure:

1. Run xlUpdateModel on your 2.1 model from within 2.3.
2. Make sure that your design is working, and that you can generate your design in 2.3.
3. Run xlUpdateModel on your updated 2.3 model from within 3.1 or later.
4. Make sure that your design is working, and that you can generate your design in 3.1 or later.

NOTE: In some cases, it might be easier to keep 2.1 for maintenance issues and then redraw your design in 3.1 or later.
AR# 16828
Date Created 03/10/2003
Last Updated 06/24/2004
Status Archive
Type General Article